## ros-iron-class-loader 2.5.0

=== debian/changelog ===
ros-iron-class-loader (2.5.0-4jammy) jammy; urgency=high

  * make sanitizer happy (#205 <https://github.com/ros/class_loader/issues/205>)
  * [rolling] Update maintainers - 2022-11-07 (#206 <https://github.com/ros/class_loader/issues/206>)
  * Contributors: Audrow Nash, Chen Lihui

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-class-loader (2.4.0-4jammy) jammy; urgency=high

  * Remove appveyor configuration. (#204 <https://github.com/ros/class_loader/issues/204>)
  * Just fix a typo in a comment. (#203 <https://github.com/ros/class_loader/issues/203>)
  * make the meta-object alive in the lifecycle of the registered plugin (#201 <https://github.com/ros/class_loader/issues/201>)
  * Contributors: Chen Lihui, Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-class-loader (2.3.1-4jammy) jammy; urgency=high

  * Mirror rolling to ros2
  * Contributors: Audrow Nash

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-class-loader (2.3.0-4jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-iron-class-loader (2.2.0-4jammy) jammy; urgency=high

  * Install includes to include/ (#191 <https://github.com/ros/class_loader/issues/191>)
  * Fix include order for cpplint (#192 <https://github.com/ros/class_loader/issues/192>)
  * Update maintainers to Geoffrey Biggs and Michael Carroll (#190 <https://github.com/ros/class_loader/issues/190>)
  * Fix spelling mistake (#184 <https://github.com/ros/class_loader/issues/184>)
  * Contributors: Audrow Nash, David V. Lu!!, Jacob Perron, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-class-loader (2.1.2-4jammy) jammy; urgency=high

  * Remove travis. (#182 <https://github.com/ros/class_loader/issues/182>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-iron-class-loader (2.1.1-4jammy) jammy; urgency=high

  * Change index.ros.org -> docs.ros.org. (#181 <https://github.com/ros/class_loader/issues/181>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-class-loader (2.1.0-4jammy) jammy; urgency=high

  * Fix ternary null check found by clang static analysis (#176 <https://github.com/ros/class_loader/issues/176>)
  * Update QD to QL 1 (#177 <https://github.com/ros/class_loader/issues/177>)
  * Updated console_bridge QL in QD
  * Update package maintainers. (#169 <https://github.com/ros/class_loader/issues/169>)
  * enable building a static library (#163 <https://github.com/ros/class_loader/issues/163>)
  * Update Quality Declaration to reflect QL 2 (#160 <https://github.com/ros/class_loader/issues/160>).
  * Increase coverage with a graveyard behavior test and unmanaged instance test (#159 <https://github.com/ros/class_loader/issues/159>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#157 <https://github.com/ros/class_loader/issues/157>)
  * Clean up and improve documentation (#156 <https://github.com/ros/class_loader/issues/156>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Michel Hidalgo, Stephen Brawner, ahcorde, brawner

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-class-loader (2.0.1-4jammy) jammy; urgency=high

  * Added QD to doxygen related pages (#155 <https://github.com/ros/class_loader/issues/155>)
  * Updated class_loader QD (#152 <https://github.com/ros/class_loader/issues/152>)
  * fix copy and paste error (#154 <https://github.com/ros/class_loader/issues/154>)
  * Fixed warning (#151 <https://github.com/ros/class_loader/issues/151>)
  * Increased code coverage (#141 <https://github.com/ros/class_loader/issues/141>)
  * Added Doxyfile (#148 <https://github.com/ros/class_loader/issues/148>)
  * Added quality declaration draft (#142 <https://github.com/ros/class_loader/issues/142>)
  * Contributors: Alejandro Hernández Cordero, Tully Foote

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-class-loader (2.0.0-4jammy) jammy; urgency=high

  * Export CMake targets in a addition to include directories / libraries. (#147 <https://github.com/ros/class_loader/issues/147>)
  * Fixed references to poco in error strings. (#144 <https://github.com/ros/class_loader/issues/144>)
  * Removed poco dependency. Shared library management is now provided by rcpputils. (#139 <https://github.com/ros/class_loader/issues/139>)
  * Add missing LICENSE file, matching 3-clause BSD (#137 <https://github.com/ros/class_loader/issues/137>)
  * Code style change: wrap after open parenthesis if not in one line (#138 <https://github.com/ros/class_loader/issues/138>)
  * Fix Travis on macOS. (#135 <https://github.com/ros/class_loader/issues/135>)
  * Use .empty() to check for an empty string. (#132 <https://github.com/ros/class_loader/issues/132>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Jorge Perez

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 24 Apr 2020 16:00:00 -0000

ros-iron-class-loader (1.4.0-4jammy) jammy; urgency=high

  * Fixed setting AbstractMetaObjectBase base class typeid. (#127 <https://github.com/nuclearsandwich/class_loader/issues/127>)
  * Corrected export of class_loader library. (#129 <https://github.com/nuclearsandwich/class_loader/issues/129>)
  * Reduced the number of threads spun up in stress test. (#128 <https://github.com/nuclearsandwich/class_loader/issues/128>)
  * Contributors: Emerson Knapp, Shane Loretz, bpwilcox

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 17 Sep 2019 16:00:00 -0000

ros-iron-class-loader (1.3.1-4jammy) jammy; urgency=high

  * Using ament_target_dependencies when possible (#124 <https://github.com/ros/class_loader/issues/124>)
  * Contributors: ivanpauno


